//
// Created by xemon on 06.02.24.
//
_Noreturn void stop_it() {
    while (1) {
        asm("nop");
    }
}

#define STOP_IT stop_it();


void WWDT_IRQHandler() {
    STOP_IT
}

void PVM_IRQHandler() {
    STOP_IT
}

void TAMP_STAMP_IRQHandler() {
    STOP_IT
}

void ERTC_WKUP_IRQHandler() {
    STOP_IT
}

void FLASH_IRQHandler() {
    STOP_IT
}

void CRM_IRQHandler() {
    STOP_IT
}

void EXINT0_IRQHandler() {
    STOP_IT
}

void EXINT1_IRQHandler() {
    STOP_IT
}

void EXINT2_IRQHandler() {
    STOP_IT
}

void EXINT3_IRQHandler() {
    STOP_IT
}

void EXINT4_IRQHandler() {
    STOP_IT
}

void EDMA_Stream1_IRQHandler() {
    STOP_IT
}

void EDMA_Stream2_IRQHandler() {
    STOP_IT
}

void EDMA_Stream3_IRQHandler() {
    STOP_IT
}

void EDMA_Stream4_IRQHandler() {
    STOP_IT
}

void EDMA_Stream5_IRQHandler() {
    STOP_IT
}

void EDMA_Stream6_IRQHandler() {
    STOP_IT
}

void EDMA_Stream7_IRQHandler() {
    STOP_IT
}

void ADC1_2_3_IRQHandler() {
    STOP_IT
}

void CAN1_TX_IRQHandler() {
    STOP_IT
}

void CAN1_RX0_IRQHandler() {
    STOP_IT
}

void CAN1_RX1_IRQHandler() {
    STOP_IT
}

void CAN1_SE_IRQHandler() {
    STOP_IT
}

void EXINT9_5_IRQHandler() {
    STOP_IT
}

void TMR1_BRK_TMR9_IRQHandler() {
    STOP_IT
}

void TMR1_OVF_TMR10_IRQHandler() {
    STOP_IT
}

void TMR1_TRG_HALL_TMR11_IRQHandler() {
    STOP_IT
}

void TMR1_CH_IRQHandler() {
    STOP_IT
}

void TMR2_GLOBAL_IRQHandler() {
    STOP_IT
}

void TMR3_GLOBAL_IRQHandler() {
    STOP_IT
}

void TMR4_GLOBAL_IRQHandler() {
    STOP_IT
}

void I2C1_EVT_IRQHandler() {
    STOP_IT
}

void I2C1_ERR_IRQHandler() {
    STOP_IT
}

void I2C2_EVT_IRQHandler() {
    STOP_IT
}

void I2C2_ERR_IRQHandler() {
    STOP_IT
}

void SPI1_IRQHandler() {
    STOP_IT
}

void SPI2_I2S2EXT_IRQHandler() {
    STOP_IT
}

//void USART1_IRQHandler() {
//    STOP_IT
//}

void USART2_IRQHandler() {
    STOP_IT
}

//void USART3_IRQHandler() {
//    STOP_IT
//}

void EXINT15_10_IRQHandler() {
    STOP_IT
}

void ERTCAlarm_IRQHandler() {
    STOP_IT
}

void OTGFS1_WKUP_IRQHandler() {
    STOP_IT
}

void TMR8_BRK_TMR12_IRQHandler() {
    STOP_IT
}

void TMR8_OVF_TMR13_IRQHandler() {
    STOP_IT
}

void TMR8_TRG_HALL_TMR14_IRQHandler() {
    STOP_IT
}

void TMR8_CH_IRQHandler() {
    STOP_IT
}

void EDMA_Stream8_IRQHandler() {
    STOP_IT
}

void XMC_IRQHandler() {
    STOP_IT
}

void SDIO1_IRQHandler() {
    STOP_IT
}

void TMR5_GLOBAL_IRQHandler() {
    STOP_IT
}

void SPI3_I2S3EXT_IRQHandler() {
    STOP_IT
}

void UART4_IRQHandler() {
    STOP_IT
}

void UART5_IRQHandler() {
    STOP_IT
}

void TMR6_DAC_GLOBAL_IRQHandler() {
    STOP_IT
}

void TMR7_GLOBAL_IRQHandler() {
    STOP_IT
}

//void DMA1_Channel1_IRQHandler() {
//    STOP_IT
//}

//void DMA1_Channel2_IRQHandler() {
//    STOP_IT
//}

//void DMA1_Channel3_IRQHandler() {
//    STOP_IT
//}
//
//void DMA1_Channel4_IRQHandler() {
//    STOP_IT
//}

//void DMA1_Channel5_IRQHandler() {
//    STOP_IT
//}

void EMAC_IRQHandler() {
    STOP_IT
}

void EMAC_WKUP_IRQHandler() {
    STOP_IT
}

void CAN2_TX_IRQHandler() {
    STOP_IT
}

void CAN2_RX0_IRQHandler() {
    STOP_IT
}

void CAN2_RX1_IRQHandler() {
    STOP_IT
}

void CAN2_SE_IRQHandler() {
    STOP_IT
}

void OTGFS1_IRQHandler() {
    STOP_IT
}

//void DMA1_Channel6_IRQHandler() {
//    STOP_IT
//}

void DMA1_Channel7_IRQHandler() {
    STOP_IT
}

void USART6_IRQHandler() {
    STOP_IT
}

void I2C3_EVT_IRQHandler() {
    STOP_IT
}

void I2C3_ERR_IRQHandler() {
    STOP_IT
}


void OTGFS2_WKUP_IRQHandler() {
    STOP_IT
}

void OTGFS2_IRQHandler() {
    STOP_IT
}

void DVP_IRQHandler() {
    STOP_IT
}


void FPU_IRQHandler() {
    STOP_IT
}

void UART7_IRQHandler() {
    STOP_IT
}

//void UART8_IRQHandler() {
//    STOP_IT
//}

void SPI4_IRQHandler() {
    STOP_IT
}


void QSPI2_IRQHandler() {
    STOP_IT
}

void QSPI1_IRQHandler() {
    STOP_IT
}

void DMAMUX_IRQHandler() {
    STOP_IT
}


void SDIO2_IRQHandler() {
    STOP_IT
}

void ACC_IRQHandler() {
    STOP_IT
}

void TMR20_BRK_IRQHandler() {
    STOP_IT
}

void TMR20_OVF_IRQHandler() {
    STOP_IT
}

void TMR20_TRG_HALL_IRQHandler() {
    STOP_IT
}

void TMR20_CH_IRQHandler() {
    STOP_IT
}

void DMA2_Channel1_IRQHandler() {
    STOP_IT
}

void DMA2_Channel2_IRQHandler() {
    STOP_IT
}

void DMA2_Channel3_IRQHandler() {
    STOP_IT
}

void DMA2_Channel4_IRQHandler() {
    STOP_IT
}

void DMA2_Channel5_IRQHandler() {
    STOP_IT
}

void DMA2_Channel6_IRQHandler() {
    STOP_IT
}

void DMA2_Channel7_IRQHandler() {
    STOP_IT
}


//void _estack() {
//    STOP_IT
//}

//void Reset_Handler() {
//    STOP_IT
//}

void NMI_Handler() {
    STOP_IT
}

void HardFault_Handler() {
    STOP_IT
}

void MemManage_Handler() {
    STOP_IT
}

void BusFault_Handler() {
    STOP_IT
}

void UsageFault_Handler() {
    STOP_IT
}

//void SVC_Handler() {
//    STOP_IT
//}

void DebugMon_Handler() {
    STOP_IT
}

//void PendSV_Handler() {
//    STOP_IT
//}
//
//void SysTick_Handler() {
//    STOP_IT
//}